Bug 1961719 - manifests: invalid namespace in ClusterRoleBinding makes CVO hotloop
Summary: manifests: invalid namespace in ClusterRoleBinding makes CVO hotloop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.z
Assignee: Vadim Rutkovsky
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On: 1961538
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-18 14:54 UTC by OpenShift BugZilla Robot
Modified: 2021-06-15 09:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-15 09:28:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-csi-snapshot-controller-operator pull 89 0 None open [release-4.7] Bug 1961719: manifests/05_operator_rbac: Drop the unused namespace property 2021-06-02 01:01:07 UTC
Github openshift cluster-storage-operator pull 170 0 None open [release-4.7] Bug 1961719: manifests: remove namespace from cluster-storage-operator-role binding 2021-05-25 12:40:59 UTC
Red Hat Product Errata RHSA-2021:2286 0 None None None 2021-06-15 09:28:33 UTC

Description OpenShift BugZilla Robot 2021-05-18 14:54:08 UTC
+++ This bug was initially created as a clone of Bug #1961538 +++

cluster-storage-operator-role ClusterRoleBinding sets "namespace", but its a cluster-wide resource. This makes CVO attempt to apply this manifest on every sync cycle

Comment 7 Wei Duan 2021-06-08 10:33:32 UTC
Checked on 4.7.0-0.nightly-2021-06-07-203428, still have the message, assgin it back.

$ oc -n openshift-kube-apiserver rsh kube-apiserver-ip-10-0-135-131.us-east-2.compute.internal

sh-4.4# zgrep -h '"verb":"update".*"resource":".*rolebindings"' /var/log/kube-apiserver/audit.log 2>/dev/null | jq -r '.user.username + " " + (.objectRef | .resource + " " + .namespace + " " + .name) + " " + .stageTimestamp + " " + (.responseStatus | tostring)' | grep clusterrolebindings |grep cluster-version | sort
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-node-tuning-operator 2021-06-08T08:26:53.228356Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-node-tuning-operator 2021-06-08T08:30:12.290946Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-node-tuning-operator 2021-06-08T08:36:50.463216Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-node-tuning-operator 2021-06-08T08:43:28.674320Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-node-tuning-operator 2021-06-08T08:46:47.878849Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-node-tuning-operator 2021-06-08T09:13:20.605436Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-node-tuning-operator 2021-06-08T09:16:39.756800Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-node-tuning-operator 2021-06-08T09:19:58.891672Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-node-tuning:tuned 2021-06-08T08:26:53.630895Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-node-tuning:tuned 2021-06-08T08:30:12.692451Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-node-tuning:tuned 2021-06-08T08:36:50.864498Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-node-tuning:tuned 2021-06-08T08:43:29.076352Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-node-tuning:tuned 2021-06-08T08:46:48.276982Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-node-tuning:tuned 2021-06-08T09:13:21.004254Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-node-tuning:tuned 2021-06-08T09:16:40.159400Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-node-tuning:tuned 2021-06-08T09:19:59.291882Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-samples-operator 2021-06-08T08:26:57.680321Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-samples-operator 2021-06-08T08:30:16.742915Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-samples-operator 2021-06-08T08:36:54.911430Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-samples-operator 2021-06-08T08:43:33.254411Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-samples-operator 2021-06-08T08:46:52.328300Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-samples-operator 2021-06-08T09:13:25.104225Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-samples-operator 2021-06-08T09:16:44.206876Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-samples-operator 2021-06-08T09:20:03.339492Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-samples-operator-proxy-reader 2021-06-08T08:26:56.880795Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-samples-operator-proxy-reader 2021-06-08T08:30:15.942921Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-samples-operator-proxy-reader 2021-06-08T08:36:54.111181Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-samples-operator-proxy-reader 2021-06-08T08:43:32.427002Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-samples-operator-proxy-reader 2021-06-08T08:46:51.529035Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-samples-operator-proxy-reader 2021-06-08T09:13:24.304267Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-samples-operator-proxy-reader 2021-06-08T09:16:43.407443Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-samples-operator-proxy-reader 2021-06-08T09:20:02.540618Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-storage-operator-role 2021-06-08T08:26:47.354863Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-storage-operator-role 2021-06-08T08:30:06.425387Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-storage-operator-role 2021-06-08T08:36:44.597192Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-storage-operator-role 2021-06-08T08:43:22.907786Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-storage-operator-role 2021-06-08T08:46:42.007935Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-storage-operator-role 2021-06-08T09:13:14.791990Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-storage-operator-role 2021-06-08T09:16:33.890930Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-storage-operator-role 2021-06-08T09:19:53.017581Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-version-operator 2021-06-08T08:27:06.180383Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-version-operator 2021-06-08T08:30:25.241191Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-version-operator 2021-06-08T08:37:03.362566Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-version-operator 2021-06-08T08:43:41.624491Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-version-operator 2021-06-08T08:47:00.829229Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-version-operator 2021-06-08T09:13:33.555738Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-version-operator 2021-06-08T09:16:52.609998Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  cluster-version-operator 2021-06-08T09:20:11.841984Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  csi-snapshot-controller-operator-role 2021-06-08T08:26:51.029618Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  csi-snapshot-controller-operator-role 2021-06-08T08:30:10.041852Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  csi-snapshot-controller-operator-role 2021-06-08T08:36:48.264008Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  csi-snapshot-controller-operator-role 2021-06-08T08:43:26.475711Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  csi-snapshot-controller-operator-role 2021-06-08T08:46:45.629442Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  csi-snapshot-controller-operator-role 2021-06-08T09:13:18.456966Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  csi-snapshot-controller-operator-role 2021-06-08T09:16:37.657860Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  csi-snapshot-controller-operator-role 2021-06-08T09:19:56.642526Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator 2021-06-08T08:26:59.728934Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator 2021-06-08T08:30:18.740896Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator 2021-06-08T08:36:57.013688Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator 2021-06-08T08:43:35.324947Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator 2021-06-08T08:46:54.377188Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator 2021-06-08T09:13:27.206845Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator 2021-06-08T09:16:46.309300Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator 2021-06-08T09:20:05.391833Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator-auth 2021-06-08T08:26:59.230650Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator-auth 2021-06-08T08:30:18.242628Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator-auth 2021-06-08T08:36:56.510940Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator-auth 2021-06-08T08:43:34.826446Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator-auth 2021-06-08T08:46:53.878296Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator-auth 2021-06-08T09:13:26.703587Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator-auth 2021-06-08T09:16:45.806609Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator-auth 2021-06-08T09:20:04.889424Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator-gather 2021-06-08T08:27:00.030889Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator-gather 2021-06-08T08:30:19.043535Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator-gather 2021-06-08T08:36:57.311402Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator-gather 2021-06-08T08:43:35.627104Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator-gather 2021-06-08T08:46:54.688648Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator-gather 2021-06-08T09:13:27.504117Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator-gather 2021-06-08T09:16:46.635466Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator-gather 2021-06-08T09:20:05.690302Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator-gather-reader 2021-06-08T08:27:00.228765Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator-gather-reader 2021-06-08T08:30:19.240529Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator-gather-reader 2021-06-08T08:36:57.515269Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator-gather-reader 2021-06-08T08:43:35.824841Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator-gather-reader 2021-06-08T08:46:54.877599Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator-gather-reader 2021-06-08T09:13:27.706346Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator-gather-reader 2021-06-08T09:16:46.809101Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  insights-operator-gather-reader 2021-06-08T09:20:05.891745Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:authentication 2021-06-08T08:26:55.679311Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:authentication 2021-06-08T08:30:14.741645Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:authentication 2021-06-08T08:36:52.913810Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:authentication 2021-06-08T08:43:31.175395Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:authentication 2021-06-08T08:46:50.330624Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:authentication 2021-06-08T09:13:23.106491Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:authentication 2021-06-08T09:16:42.158011Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:authentication 2021-06-08T09:20:01.342225Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:cluster-kube-scheduler-operator 2021-06-08T08:26:57.228662Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:cluster-kube-scheduler-operator 2021-06-08T08:30:16.290839Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:cluster-kube-scheduler-operator 2021-06-08T08:36:54.463745Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:cluster-kube-scheduler-operator 2021-06-08T08:43:32.775501Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:cluster-kube-scheduler-operator 2021-06-08T08:46:51.876839Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:cluster-kube-scheduler-operator 2021-06-08T09:13:24.656089Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:cluster-kube-scheduler-operator 2021-06-08T09:16:43.760226Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:cluster-kube-scheduler-operator 2021-06-08T09:20:02.892289Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:etcd-operator 2021-06-08T08:23:51.492343Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:etcd-operator 2021-06-08T08:27:10.580787Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:etcd-operator 2021-06-08T08:30:29.691575Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:etcd-operator 2021-06-08T08:37:07.961616Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:etcd-operator 2021-06-08T08:43:46.278285Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:etcd-operator 2021-06-08T08:47:05.276392Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:etcd-operator 2021-06-08T09:13:38.057285Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:etcd-operator 2021-06-08T09:16:57.310033Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:etcd-operator 2021-06-08T09:20:16.293157Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:kube-apiserver-operator 2021-06-08T08:26:51.680745Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:kube-apiserver-operator 2021-06-08T08:30:10.792233Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:kube-apiserver-operator 2021-06-08T08:36:48.911993Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:kube-apiserver-operator 2021-06-08T08:43:27.326468Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:kube-apiserver-operator 2021-06-08T08:46:46.376582Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:kube-apiserver-operator 2021-06-08T09:13:19.104523Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:kube-apiserver-operator 2021-06-08T09:16:38.109644Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:kube-apiserver-operator 2021-06-08T09:19:57.389884Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:kube-controller-manager-operator 2021-06-08T08:27:05.280367Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:kube-controller-manager-operator 2021-06-08T08:30:24.342918Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:kube-controller-manager-operator 2021-06-08T08:37:02.511631Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:kube-controller-manager-operator 2021-06-08T08:43:40.777720Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:kube-controller-manager-operator 2021-06-08T08:46:59.927360Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:kube-controller-manager-operator 2021-06-08T09:13:32.704546Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:kube-controller-manager-operator 2021-06-08T09:16:51.757931Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:kube-controller-manager-operator 2021-06-08T09:20:10.940421Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:kube-storage-version-migrator-operator 2021-06-08T08:26:59.078462Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:kube-storage-version-migrator-operator 2021-06-08T08:30:18.192939Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:kube-storage-version-migrator-operator 2021-06-08T08:36:56.269784Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:kube-storage-version-migrator-operator 2021-06-08T08:43:34.575360Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:kube-storage-version-migrator-operator 2021-06-08T08:46:53.726913Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:kube-storage-version-migrator-operator 2021-06-08T09:13:26.456216Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:kube-storage-version-migrator-operator 2021-06-08T09:16:45.559235Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:kube-storage-version-migrator-operator 2021-06-08T09:20:04.742375Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:openshift-apiserver-operator 2021-06-08T08:27:04.179942Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:openshift-apiserver-operator 2021-06-08T08:30:23.241853Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:openshift-apiserver-operator 2021-06-08T08:37:01.413613Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:openshift-apiserver-operator 2021-06-08T08:43:39.675536Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:openshift-apiserver-operator 2021-06-08T08:46:58.829580Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:openshift-apiserver-operator 2021-06-08T09:13:31.605407Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:openshift-apiserver-operator 2021-06-08T09:16:50.659392Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:openshift-apiserver-operator 2021-06-08T09:20:09.842305Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:openshift-config-operator 2021-06-08T08:26:54.528253Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:openshift-config-operator 2021-06-08T08:30:13.595465Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:openshift-config-operator 2021-06-08T08:36:51.763131Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:openshift-config-operator 2021-06-08T08:43:29.975341Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:openshift-config-operator 2021-06-08T08:46:49.177632Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:openshift-config-operator 2021-06-08T09:13:21.905742Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:openshift-config-operator 2021-06-08T09:16:41.108311Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:openshift-config-operator 2021-06-08T09:20:00.191771Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:openshift-controller-manager-operator 2021-06-08T08:26:47.830170Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:openshift-controller-manager-operator 2021-06-08T08:30:06.843998Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:openshift-controller-manager-operator 2021-06-08T08:36:44.760871Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:openshift-controller-manager-operator 2021-06-08T08:43:23.226890Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:openshift-controller-manager-operator 2021-06-08T08:46:42.428679Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:openshift-controller-manager-operator 2021-06-08T09:13:14.953394Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:openshift-controller-manager-operator 2021-06-08T09:16:34.052928Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:openshift-controller-manager-operator 2021-06-08T09:19:53.439655Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:service-ca-operator 2021-06-08T08:26:47.385618Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:service-ca-operator 2021-06-08T08:30:06.453498Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:service-ca-operator 2021-06-08T08:36:44.634476Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:service-ca-operator 2021-06-08T08:43:22.940330Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:service-ca-operator 2021-06-08T08:46:42.033044Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:service-ca-operator 2021-06-08T09:13:14.826139Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:service-ca-operator 2021-06-08T09:16:33.927491Z {"metadata":{},"code":200}
system:serviceaccount:openshift-cluster-version:default clusterrolebindings  system:openshift:operator:service-ca-operator 2021-06-08T09:19:53.044500Z {"metadata":{},"code":200}

Comment 8 Wei Duan 2021-06-09 01:31:49 UTC
Looks like we need the CVO fix as well
https://bugzilla.redhat.com/show_bug.cgi?id=1969378

Comment 10 errata-xmlrpc 2021-06-15 09:28:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.16 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2286


Note You need to log in before you can comment on or make changes to this bug.